﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
namespace Infragistics.Models
{
    public class ScatterDataSample : ScatterDataCollection
    {
        public static Random Rand = new Random();
        public ScatterDataSample()
        {
            int value = 50;
            for (int i = 0; i < 100; i++)
            {
                double x = Rand.NextDouble() * 3.0 - 1.0;
                double y = Rand.NextDouble() * 3.0 - 1.0;

                this.Add(new ScatterDataPoint
                {
                    X = x,
                    Y = y,
                });
            }
        }
    }

    public class ScatterDataCollection : ObservableCollection<ScatterDataPoint> { }

    public class ScatterDataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
    }
}
